<?php
header('Content-type: text/javascript');
header("Cache-Control: public, no-cache");
?>
(function() {
    var src_url = '';
    tinymce.create (
        'tinymce.plugins.epurl', 
        {
            init: function(ed, url) {
                src_url = url;
            },
            createControl: function(d, e) {
                if (d == "epurl_shortcode_button") {
                    d = e.createMenuButton( 
                        "epurl_shortcode_button", 
                        {
                            title: "Insert ePurl Shortcode",
                            image: src_url + '/images/link.png',
                            icons: false
                        } );

                    var a = this;
                        
                    d.onRenderMenu.add( function(c, b) {
                        a.addShortcode(b, "First Name", "[epurl-firstname]");
                        a.addShortcode(b, "Last Name", "[epurl-lastname]");
                        a.addShortcode(b, "Email", "[epurl-email]");
                        a.addShortcode(b, "Postal Code", "[epurl-postalcode]");
                        a.addShortcode(b, "Company", "[epurl-company]");
                        a.addShortcode(b, "Landing Page", "[epurl-url]");
                    } );
                    return d;
                }
                return null;
            },
            addShortcode: function (d, e, a) {
                d.add( { 
                    title : e, 
                    onclick: function() { 
                        tinyMCE.activeEditor.execCommand( "mceInsertContent", false, a );
                    }
                } )
            },
            getInfo: function () { 
                return {
                    longname: "elegantPurl Shortcode Generator",
                    author: "Justin Kussow",
                    version:"1.0"
                } 
            }
    });
    tinymce.PluginManager.add('epurl', tinymce.plugins.epurl);    
})();