<?php
function epurl_postalcode_shortcode( $atts ) {
    extract( shortcode_atts( array(
      'user' => '',
      'campaign' => ''
      ), $atts ) );
    
    if ( !$user ) 
        $user = get_query_var( 'user' );
    if ( !$campaign )
        $campaign = get_query_var( 'campaign' );
    
    $user = esc_attr($user);
    $campaign = esc_attr($campaign);
    
    $memberId = elegantpurl::get_member_id( $campaign, $user );
    return elegantpurl::get_member_field_data( $memberId, 'postal_code' );
}
add_shortcode( 'epurl-postalcode', 'epurl_postalcode_shortcode' );
?>
